libzypp: zypp::parser::HistoryLogReader::Impl Struct Reference

libzypp 17.25.10

Public Member Functions | Public Attributes | List of all members
zypp::parser::HistoryLogReader::Impl Struct Reference

## Public Member Functions
| Impl (const Pathname &historyFile_r, const Options &options_r, const ProcessData &callback_r)
bool | parseLine (const std::string &line_r, unsigned int lineNr_r)
void | readAll (const ProgressData::ReceiverFnc &progress_r)
void | readFrom (const Date &date_r, const ProgressData::ReceiverFnc &progress_r)
void | readFromTo (const Date &fromDate_r, const Date &toDate_r, const ProgressData::ReceiverFnc &progress_r)
void | addActionFilter (const HistoryActionID &action_r)

## Public Attributes
Pathname | _filename
Options | _options
ProcessData | _callback
std::set< std::string > | _actionfilter

## Detailed Description

Definition at line 36 of file HistoryLogReader.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::parser::HistoryLogReader::Impl::Impl | ( | const Pathname & | historyFile_r,
|  | const Options & | options_r,
|  | const ProcessData & | callback_r
| ) |  |
| inline

Definition at line 38 of file HistoryLogReader.cc.

## Member Function Documentation

## ◆ parseLine()

bool zypp::parser::HistoryLogReader::Impl::parseLine | ( | const std::string & | line_r,
|  | unsigned int | lineNr_r
| ) |  |

Definition at line 64 of file HistoryLogReader.cc.

## ◆ readAll()

void zypp::parser::HistoryLogReader::Impl::readAll | ( | const ProgressData::ReceiverFnc & | progress_r | ) |

Definition at line 111 of file HistoryLogReader.cc.

## ◆ readFrom()

void zypp::parser::HistoryLogReader::Impl::readFrom | ( | const Date & | date_r,
|  | const ProgressData::ReceiverFnc & | progress_r
| ) |  |

Definition at line 133 of file HistoryLogReader.cc.

## ◆ readFromTo()

void zypp::parser::HistoryLogReader::Impl::readFromTo | ( | const Date & | fromDate_r,
|  | const Date & | toDate_r,
|  | const ProgressData::ReceiverFnc & | progress_r
| ) |  |

Definition at line 171 of file HistoryLogReader.cc.

## ◆ addActionFilter()

void zypp::parser::HistoryLogReader::Impl::addActionFilter | ( | const HistoryActionID & | action_r | ) |
| inline

Definition at line 50 of file HistoryLogReader.cc.

## Member Data Documentation

## ◆ _filename

Pathname zypp::parser::HistoryLogReader::Impl::_filename

Definition at line 58 of file HistoryLogReader.cc.

## ◆ _options

Options zypp::parser::HistoryLogReader::Impl::_options

Definition at line 59 of file HistoryLogReader.cc.

## ◆ _callback

ProcessData zypp::parser::HistoryLogReader::Impl::_callback

Definition at line 60 of file HistoryLogReader.cc.

## ◆ _actionfilter

std::set<std::string> zypp::parser::HistoryLogReader::Impl::_actionfilter

Definition at line 61 of file HistoryLogReader.cc.

The documentation for this struct was generated from the following file:

- zypp/parser/HistoryLogReader.cc